%global debug_package %nil

Name:           libreoffice-voikko
Version:        5.0
Release:        %mkrel 6
Summary:        Finnish spellchecker and hyphenator extension for LibreOffice
Group:          Office/Dictionary
License:        MPLv2.0 or GPLv3+
URL:            https://voikko.puimula.org/
Source0:        https://www.puimula.org/voikko-sources/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(libvoikko) >= 4.0
Requires:       libreoffice-core >= 3.2.99
Requires:       python3-libvoikko >= 4.0
Requires:       locales-fi
Obsoletes:	openoffice.org-voikko < 3.3

%description
This package contains a Finnish spell-checking and hyphenation component for
LibreOffice. The actual spell-checking and hyphenation functionality is
provided by the Voikko library.

%prep
%setup -q
%autopatch -p1

%build
%make_build extension-files

%install
mkdir -p %{buildroot}%{_libdir}/libreoffice/share/extensions/voikko/
cp -a build/oxt/* %{buildroot}%{_libdir}/libreoffice/share/extensions/voikko/

%files
%doc ChangeLog README
%license COPYING
%{_libdir}/libreoffice/share/extensions/voikko/


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 5.0-6.mga10
+ Revision: 2220781
- Mageia 10 Mass Rebuild

* Tue Dec 19 2023 papoteur <papoteur> 5.0-5.mga10
+ Revision: 2019441
- Mass Rebuild - Python 3.12

* Sat Mar 26 2022 umeabot <umeabot> 5.0-4.mga9
+ Revision: 1827369
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 5.0-3.mga8
+ Revision: 1514395
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 5.0-2.mga7
+ Revision: 1299127
- Mageia 7 Mass Rebuild

* Sat Jan 28 2017 wally <wally> 5.0-1.mga6
+ Revision: 1083850
- new version 5.0

* Sat Mar 05 2016 umeabot <umeabot> 4.1-4.mga6
+ Revision: 985913
- Mageia 6 Mass Rebuild

* Sun Feb 22 2015 luigiwalser <luigiwalser> 4.1-2.mga5
+ Revision: 816339
- rebuild for release

* Sun Feb 22 2015 luigiwalser <luigiwalser> 4.1-1.mga5
+ Revision: 816338
- remove upstreamed patch
- 4.1

* Wed Oct 15 2014 umeabot <umeabot> 3.4.1-4.mga5
+ Revision: 748268
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.4.1-3.mga5
+ Revision: 681757
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Jan 04 2014 pterjan <pterjan> 3.4.1-2.mga4
+ Revision: 564534
- Add a patch dropping an obsolete option
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild
+ fwang <fwang>
- new version 3.4.1

* Sat Jan 19 2013 fwang <fwang> 3.3-2.mga3
+ Revision: 389700
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 12 2012 anssi <anssi> 3.3-1.mga2
+ Revision: 208173
- new version 3.3
- fix build with current libreoffice-sdk
- bump libvoikko requires

* Fri Apr 22 2011 anssi <anssi> 3.2-5.mga1
+ Revision: 89836
- readd requires on locales-fi
- use non-version-dependant libO sdk directory (fixes build)
- drop relying on implicit build in rpm install section

* Sun Apr 17 2011 anssi <anssi> 3.2-4.mga1
+ Revision: 87309
- add obsoletes for openoffice.org-voikko

* Sun Apr 17 2011 blino <blino> 3.2-3.mga1
+ Revision: 86856
- do not require unprovided libstlport_gcc.so (this could fixed by providing it in libreoffice-ure)

* Tue Mar 29 2011 mikala <mikala> 3.2-2.mga1
+ Revision: 78670
- Use %%buildroot instead of RPM_BUILD_ROOT
- use %%make
+ dmorgan <dmorgan>
- imported package libreoffice-voikko


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Oct 30 2010 Caolán McNamara <caolanm@redhat.com> - 3.1.2-2
- rebuild for LibreOffice

* Thu Aug 05 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.1.2-1
- New upstream release
- Remove both patches, upstreamed

* Tue Jul 27 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.1-5
- Fix for rhbz #618151, switch group elements to node elements in config.xcu,
  patch by David Tardon

* Wed Jul 14 2010 Caolán McNamara <caolanm@redhat.com> - 3.1-4
- Rebuild for OpenOffice.org 3.3

* Fri Jan 22 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.1-3
- Add patch from SVN to partly fix broken configuration handling, which
  may lead to an OO.o crash (rhbz#549289)

* Thu Nov 19 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.1-2
- Update for OpenOffice.org 3.2

* Mon Aug 10 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.1-1
- Update source URL to "official" upstream and bump version accordingly.
- The tarball is the same as in RC2.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-0.3.rc2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 13 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.1-0.2.rc2
- New release candidate

* Mon Apr 06 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.1-0.1.rc1
- New release candidate
- Grammar checking enabled

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.0.1-2
- Rebuild for OOO310_m1
- No need to use a define for unopkg anymore

* Wed Jan 21 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.0.1-1
- openoffice.org-voikko 3.0.1
- Drop integrated OOO 3.0.1 compatibility patch
- Require OOO 3.0.1

* Sun Dec 28 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.0-5
- Add patch from upstream to fix FTBFS with OOO300_m14, the grammar
  checking framework was changed

* Wed Nov 19 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.0-4
- Add Epoch 1 to all openoffice.org-core pre-/post-Requires to avoid bugs such
  as rhbz #472093 (incorrect openoffice.org-core dependency)

* Mon Oct 13 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.0-3
- Remove unneeded openoffice.org-core Requires, rpmbuild should detect that
  automatically. Keep libvoikko >= 2.0 Requires as instructed by upstream
  release notes, rpmbuild can't detected that automatically.

* Mon Oct 06 2008 Caolán McNamara <caolanm@redhat.com> - 3.0-2
- add --force to protect against installing by rpm an extension which was
  previously installed manually

* Sun Aug 28 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.0-1
- openoffice.org-voikko 3.0

* Sun Jul 30 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.0-0.2.rc1
- New release candidate:
  - Require libvoikko >= 2.0
  - Don't build with SHOW_UGLY_WARNINGS anymore

* Fri Jul 25 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.0-0.1.pre4
- New pre-release
- License changed to GPLv3+
- Require openoffice.org >= 3.0.0
- Drop unneeded 3 layer patch
- Build with new SHOW_UGLY_WARNINGS=1 option as this is a test release

* Tue Jun 03 2008 Caolán McNamara <caolan@redhat.com> - 2.2-5
- add openoffice.org-voikko-2.2-3layer.patch to build against 3 layer OOo

* Sat Apr 26 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.2-4
- Build with RPM_OPT_FLAGS, adds FORTIFY_SOURCE etc.

* Thu Apr 03 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.2-3
- Update the package to match the newest extension guidelines:
  - Change location
  - Update openoffice.org-* Requires

* Sun Feb 17 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.2-2
- Upstream released 2.2
- Remove the "temporary $HOME hack" and all -env options, since unopkg has 
  been patched to take care of all that

* Tue Feb 12 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.2-0.2.rc1
- Use the package name, not a Debian leftover environment variable as an mktemp
  template

* Mon Feb 11 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.2-0.1.rc1
- 2.2rc1
- Use new install-unpacked make target, no need to unzip the extension
  anymore
- This target both compiles and installs, so do everything in install and
  leave build empty
- Set $HOME to be a temporary directory while using unopkg. Otherwise unopkg
  causes problems if the package is installed with sudo
- Rebuild for GCC 4.3

* Wed Jan 23 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.1-1
- Bump release for the initial Fedora build

* Mon Jan 21 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.1-0.2
- Make one define a bit cleaner
- Changes by Caolán McNamara:
  - Unpack the component at install time
  - Make a non-empty debuginfo package
  - Install the extension to /usr/lib/

* Mon Jan 21 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.1-0.1
- Initial package
